Debian Bug report logs - #337724
Yaird, grub and d-i should also support dmraid devices.

version graph

Package: yaird; Maintainer for yaird is (unknown);

Reported by: Marco Amadori <marco.amadori@gmail.com>

Date: Sun, 6 Nov 2005 00:48:06 UTC

Severity: normal

Tags: patch, upstream

Merged with 457465

Found in version yaird/any

Fixed in version 0.0.13-5+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#337724; Package yaird. Full text and rfc822 format available.

Acknowledgement sent to Marco Amadori <marco.amadori@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marco Amadori <marco.amadori@gmail.com>
To: submit@bugs.debian.org
Cc: "Steinar H. Gunderson" <sgunderson@bigfoot.com>, Mattia Dongili <malattia@linux.it>, Erik van Konijnenburg <ekonijn@xs4all.nl>, utnubu-maintainers@lists.alioth.debian.org, filippo@debian.org, nomeata@debian.org, pkg-grub-devel@lists.alioth.debian.org, jason@debian.org, otavio@debian.org, debian-boot@lists.debian.org
Subject: Yaird, grub and d-i should also support dmraid devices.
Date: Sun, 6 Nov 2005 01:23:27 +0100
[Message part 1 (text/plain, inline)]
Package: yaird
Version: any
Tags: upstream, patch
Severity: normal

As dbug:335230 this should help bringing to yaird the boot support for dmraid 
devices.

As you all know dmraid is now in debian, should be nice to add support for it 
also in partman (d-i) udeb providing and in grub, I done it manually so 
should be possibile to also patch grub-install to handle it. Also d-i should 
be trivial. 

CC:ed also maintainers of grub, dm-raid and d-i for seeing their interest in 
supporting this task and asking this question :

" Should I fill also bugs for grub and d-i (for yaird I'm like little 
authorized) ? "

---  begin yaird only part ---- 

I know that evms support is unfinished yet, but I got this code working!
It actually booted my dmraid system, it seems that my perl skills are 
growing :-)

It is someway dirty and has poor RC checking, but works, at least worked for 
me.

Patch included, diffed from yaird-evms archive from the above dbug page.

Feel free to include in upcoming yaird 0.12 :-)

-- 
ESC:wq
[yaird-dmraid.diff.bz2 (application/x-bzip2, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#337724; Package yaird. Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 337724@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Marco Amadori <marco.amadori@gmail.com>, 337724@bugs.debian.org
Subject: Re: Bug#337724: Yaird, grub and d-i should also support dmraid devices.
Date: Sun, 6 Nov 2005 19:21:17 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Sun, 6 Nov 2005 01:23:27 +0100
Marco Amadori <marco.amadori@gmail.com> wrote:

> " Should I fill also bugs for grub and d-i (for yaird I'm like little 
> authorized) ? "

Please file bugreports separately for each place you want support for
it.

> Patch included, diffed from yaird-evms archive from the above dbug
> page.

Thanks. I'll let Erik look at it before applying..


 - Jonas

- -- 
* Jonas Smedegaard - idealist og Internet-arkitekt
* Tlf.: +45 40843136  Website: http://dr.jones.dk/

 - Enden er nær: http://www.shibumi.org/eoti.htm
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDbkmdn7DbMsAkQLgRAk8bAKCFHz2Sik7J1EbJPgYFrSGqZGgQiwCgkPnk
50fp/reZ6eNuTNW62ch0WWc=
=1fNe
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#337724; Package yaird. Full text and rfc822 format available.

Acknowledgement sent to Marco Amadori <marco.amadori@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 337724@bugs.debian.org (full text, mbox):

From: Marco Amadori <marco.amadori@gmail.com>
To: 337724@bugs.debian.org
Cc: Jonas Smedegaard <dr@jones.dk>, Erik van Konijnenburg <ekonijn@xs4all.nl>
Subject: add dm-mirror, remove unsupported raid5, 6
Date: Sun, 6 Nov 2005 22:15:05 +0100
Sorry I missed to add mirror mod in last patch.

diff -urN Plan.pm~ Plan.pm
--- Plan.pm~    2005-11-05 18:39:19.000000000 +0100
+++ Plan.pm     2005-11-06 22:09:51.673267880 +0100
@@ -89,8 +89,8 @@
        $ok || ($ok = tryEvms ($actions,$device,[$device,@{$working}]));
        $ok || ($ok = tryDmCrypt ($actions,$device,[$device,@{$working}]));
        $ok || ($ok = tryLvm ($actions,$device,[$device,@{$working}]));
-       $ok || ($ok = tryDmRaid ($actions,$device,[$device,@{$working}]));
        $ok || ($ok = tryRaid ($actions,$device,[$device,@{$working}]));
+       $ok || ($ok = tryDmRaid ($actions,$device,[$device,@{$working}]));
        $ok || ($ok = tryHardware ($actions,$device,[$device,@{$working}]));
        if (! $ok) {
                Base::fatal ("unsupported device required: $name");
@@ -438,8 +438,7 @@
        # Something for next preview.
        #
        ModProbe::addModules ($actions, [ "raid0", "raid1",
-               "raid10", "raid5", "raid6", "multipath"]);
-
+               "raid10", "dm-mirror", "linear", "faulty" ]);
        #
        # name is ignored by the template
        #

-- 
ESC:wq



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#337724; Package yaird. Full text and rfc822 format available.

Acknowledgement sent to Marco Amadori <marco.amadori@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 337724@bugs.debian.org (full text, mbox):

From: Marco Amadori <marco.amadori@gmail.com>
To: 337724@bugs.debian.org
Cc: Jonas Smedegaard <dr@jones.dk>, Erik van Konijnenburg <ekonijn@xs4all.nl>, filippo@debian.org, utnubu-maintainers@lists.alioth.debian.org
Subject: Patch the patched please.
Date: Sun, 6 Nov 2005 22:53:50 +0100
diff -urN Plan.pm~ Plan.pm
--- Plan.pm~    2005-11-06 22:09:51.000000000 +0100
+++ Plan.pm     2005-11-06 22:40:46.333316696 +0100
@@ -438,7 +438,7 @@
        # Something for next preview.
        #
        ModProbe::addModules ($actions, [ "raid0", "raid1",
-               "raid10", "dm-mirror", "linear", "faulty" ]);
+               "raid10", "raid5", "raid6", "multipath"]);
        #
        # name is ignored by the template
        #
@@ -479,7 +479,7 @@
        # Adding all raid's km for now.
        #
        ModProbe::addModules ($actions, [ "raid0", "raid1",
-               "raid10", "raid5", "raid6", "multipath"]);
+               "raid10", "dm-mirror", "linear", "faulty" ]);

It was in the wrong trySomething session cause of my lazyness.

I'm sorry for headaches.

And yes, you are right Jonas, better wait for Erik to comment that.

The resulting image size is 2.2 Mb and it is tested on a nvidia nforce3 raid 
on 2 sata disks. It could be tuned down a little in size with more effort in 
DmRaidTab.pm differentiating mirror, stripe, raid10 and linear types 
of .kos .... But I think it is a waste of time right now and that dmraid 
maybe rewrite raid10 code from scratch since it was not available at dmraid 
times.... dunno. 

The maintainer of dmraid, Fillippo, could please give us which modules are not  
needed by dmraid from the below list:

"raid0", "raid1", "raid10", "dm-mirror", "linear", "faulty"

Thanks for you time.

-- 
ESC:wq



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#337724; Package yaird. Full text and rfc822 format available.

Acknowledgement sent to Filippo Giunchedi <filippo@esaurito.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 337724@bugs.debian.org (full text, mbox):

From: Filippo Giunchedi <filippo@esaurito.net>
To: Marco Amadori <marco.amadori@gmail.com>
Cc: 337724@bugs.debian.org, Jonas Smedegaard <dr@jones.dk>, Erik van Konijnenburg <ekonijn@xs4all.nl>, utnubu-maintainers@lists.alioth.debian.org, Heinz Mauelshagen <mauelshagen@redhat.com>
Subject: Re: Patch the patched please.
Date: Mon, 7 Nov 2005 01:23:56 +0100
[Message part 1 (text/plain, inline)]
On Sun, Nov 06, 2005 at 10:53:50PM +0100, Marco Amadori wrote:
> The maintainer of dmraid, Fillippo, could please give us which modules are not  
> needed by dmraid from the below list:
> 
> "raid0", "raid1", "raid10", "dm-mirror", "linear", "faulty"

excluding dm-mod which is needed by dmraid, I think none of the above modules is
needed by dmraid which does all the trickery by itself. However I'm CC'ing Heinz
Mauelshagen which is the author of dmraid just to be sure this is correct.

Note also that dmraid links to libdevmapper so you may want /lib available as
soon as possible.

filippo
--
Filippo Giunchedi
PGP key: 0x6B79D401
random quote follows:

Caelum, non animo mutant, qui trans mare currunt
Who crosses the sea changes the sky, not the soul.
-- Oratius
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#337724; Package yaird. Full text and rfc822 format available.

Acknowledgement sent to Marco Amadori <marco.amadori@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 337724@bugs.debian.org (full text, mbox):

From: Marco Amadori <marco.amadori@gmail.com>
To: Filippo Giunchedi <filippo@esaurito.net>
Cc: 337724@bugs.debian.org, Jonas Smedegaard <dr@jones.dk>, Erik van Konijnenburg <ekonijn@xs4all.nl>, utnubu-maintainers@lists.alioth.debian.org, Heinz Mauelshagen <mauelshagen@redhat.com>
Subject: Re: Patch the patched please.
Date: Mon, 7 Nov 2005 01:51:11 +0100
Alle 01:23, lunedì 7 novembre 2005, hai scritto:

> > "raid0", "raid1", "raid10", "dm-mirror", "linear", "faulty"
>
> excluding dm-mod which is needed by dmraid, I think none of the above
> modules is needed by dmraid which does all the trickery by itself. However
> I'm CC'ing Heinz Mauelshagen which is the author of dmraid just to be sure
> this is correct.

Excluding dm-mirror does not boot my test system, adding it worked on, so at 
least dm-mirror should be included, but I have no more the test sytem now for 
a while so I cannot try to exclude modules one by one.

> Note also that dmraid links to libdevmapper so you may want /lib available
> as soon as possible.

I think this is already handled by yaird since my patched yaird booted my 
system correctly.

So at least for a sempron64 with sid i386, using dmraid, my patched yaird, 
running two sata disks as a mirror (raid1) array on nv_sata/"nv_dmraid"  it 
worked.

Could someone ask upstream dmraid author to look at dmraid sys interface? 

In the specific, the partition directory in it are missing and each partition 
is treated a single device, so normal tools miss to find the proper device 
hierarchy.

I found a work-around for yaird but without a proper syfs interface I saw that 
at least lvm2 tools (e.g. pvcreate) did not recognize the array, hence it 
seems that I could not create lvm volumes. (Yes I was trying to test yaird 
lvm2 on dmraid... )
I saw that also evms tools and grub-install have problems. Grub is easy to 
tweak, but the other two.... I sincereley have no time now to mess with 
something bigger that the beautiful yaird.

-- 
ESC:wq



Information forwarded to debian-bugs-dist@lists.debian.org, Yaird Team <yaird-devel@lists.alioth.debian.org>:
Bug#337724; Package yaird. Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to Yaird Team <yaird-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #35 received at 337724@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: control@bugs.debian.org
Cc: 337065@bugs.debian.org, 337724@bugs.debian.org, 340759@bugs.debian.org, 341522@bugs.debian.org, 352757@bugs.debian.org, 382788@bugs.debian.org, 457459@bugs.debian.org, 457462@bugs.debian.org, 457465@bugs.debian.org
Subject: setting package to yaird, forcibly merging 337724 457465, forcibly merging 337065 457462 ... ... ...
Date: Sat, 22 Dec 2007 21:55:18 +0100
# Automatically generated email from bts, devscripts version 2.10.11
package yaird
forcemerge 337724 457465
forcemerge 337065 457462
forcemerge 341522 352757
#forgot to cc control@b.d.o
severity 340759 minor
forcemerge 340759 382788 457459





Forcibly Merged 337724 457465. Request was from Jonas Smedegaard <dr@jones.dk> to control@bugs.debian.org. (Sat, 22 Dec 2007 21:00:56 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sat, 14 May 2011 11:51:46 GMT) Full text and rfc822 format available.

Notification sent to Marco Amadori <marco.amadori@gmail.com>:
Bug acknowledged by developer. (Sat, 14 May 2011 11:51:46 GMT) Full text and rfc822 format available.

Message #42 received at 337724-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 327762-done@bugs.debian.org,328508-done@bugs.debian.org,335315-done@bugs.debian.org,336392-done@bugs.debian.org,336454-done@bugs.debian.org,336514-done@bugs.debian.org,336518-done@bugs.debian.org,336599-done@bugs.debian.org,336688-done@bugs.debian.org,336995-done@bugs.debian.org,337065-done@bugs.debian.org,337724-done@bugs.debian.org,338734-done@bugs.debian.org,338951-done@bugs.debian.org,339941-done@bugs.debian.org,340344-done@bugs.debian.org,340593-done@bugs.debian.org,340746-done@bugs.debian.org,340759-done@bugs.debian.org,340873-done@bugs.debian.org,341273-done@bugs.debian.org,341498-done@bugs.debian.org,341522-done@bugs.debian.org,343592-done@bugs.debian.org,343911-done@bugs.debian.org,343918-done@bugs.debian.org,344926-done@bugs.debian.org,345374-done@bugs.debian.org,346093-done@bugs.debian.org,346294-done@bugs.debian.org,348293-done@bugs.debian.org,350880-done@bugs.debian.org,352677-done@bugs.debian.org,352757-done@bugs.debian.org,360665-done@bugs.debian.org,365818-done@bugs.debian.org,369965-done@bugs.debian.org,370616-done@bugs.debian.org,372834-done@bugs.debian.org,377801-done@bugs.debian.org,378481-done@bugs.debian.org,378936-done@bugs.debian.org,381299-done@bugs.debian.org,382788-done@bugs.debian.org,382945-done@bugs.debian.org,386483-done@bugs.debian.org,387081-done@bugs.debian.org,387543-done@bugs.debian.org,388066-done@bugs.debian.org,389441-done@bugs.debian.org,391221-done@bugs.debian.org,391446-done@bugs.debian.org,391456-done@bugs.debian.org,394190-done@bugs.debian.org,394389-done@bugs.debian.org,394480-done@bugs.debian.org,396963-done@bugs.debian.org,401050-done@bugs.debian.org,403203-done@bugs.debian.org,404859-done@bugs.debian.org,405804-done@bugs.debian.org,422412-done@bugs.debian.org,429629-done@bugs.debian.org,429928-done@bugs.debian.org,446242-done@bugs.debian.org,457177-done@bugs.debian.org,457460-done@bugs.debian.org,457462-done@bugs.debian.org,457465-done@bugs.debian.org,457466-done@bugs.debian.org,457467-done@bugs.debian.org,459777-done@bugs.debian.org,496500-done@bugs.debian.org,516465-done@bugs.debian.org,518315-done@bugs.debian.org,519866-done@bugs.debian.org,520535-done@bugs.debian.org,552872-done@bugs.debian.org,584565-done@bugs.debian.org,626612-done@bugs.debian.org,
Cc: yaird@packages.debian.org, yaird@packages.qa.debian.org
Subject: Bug#626688: Removed package(s) from unstable
Date: Sat, 14 May 2011 11:46:56 +0000
Version: 0.0.13-5+rm

Dear submitter,

as the package yaird has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/626688

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Ansgar Burchardt (the ftpmaster behind the curtain)




Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sat, 14 May 2011 11:51:47 GMT) Full text and rfc822 format available.

Notification sent to maximilian attems <max@stro.at>:
Bug acknowledged by developer. (Sat, 14 May 2011 11:51:48 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 12 Jun 2011 07:35:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 11:21:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.